function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = model_obc_small_lowkappa_c.static_g1_tt(T, y, x, params);
end
g1 = zeros(28, 28);
g1(1,1)=(-1);
g1(1,24)=1;
g1(2,2)=1-T(1);
g1(2,7)=(-T(1));
g1(2,25)=(-(T(1)*(-params(7))));
g1(3,3)=1;
g1(4,2)=T(3);
g1(4,4)=(-(T(4)-params(4)));
g1(4,6)=(-(params(4)-1));
g1(5,4)=(-1);
g1(5,5)=1;
g1(6,5)=1;
g1(6,6)=(-1);
g1(6,24)=(-1);
g1(7,1)=(-1);
g1(7,2)=(-1);
g1(7,4)=1-params(4);
g1(7,6)=params(13)+(params(4)-1)/T(3);
g1(8,8)=1;
g1(8,15)=(-1);
g1(8,24)=1;
g1(9,9)=1-T(1);
g1(9,14)=T(1);
g1(9,17)=(-T(1));
g1(9,25)=(-(T(1)*(-params(7))));
g1(10,10)=1;
g1(11,9)=T(3);
g1(11,11)=(-(T(4)-params(4)));
g1(11,13)=(-(params(4)-1));
g1(12,11)=(-1);
g1(12,12)=1;
g1(13,12)=1;
g1(13,13)=(-1);
g1(13,24)=(-1);
g1(14,8)=(-(T(6)*params(22)));
g1(14,14)=1-T(6)*(params(11)+T(5));
g1(14,28)=(-1)-T(6)*((-params(11))-T(5));
g1(15,9)=(-1);
g1(15,11)=1-params(4);
g1(15,13)=params(13)+(params(4)-1)/T(3);
g1(15,15)=(-1);
g1(16,5)=(1-params(17))*params(16);
g1(16,12)=(-((1-params(17))*params(16)));
g1(16,14)=(-(params(14)*(1-params(17))));
g1(16,16)=1;
g1(16,17)=(-params(17));
g1(16,28)=(-(1-params(14)*(1-params(17))-params(17)));
g1(17,16)=(-1);
g1(17,17)=1;
g1(17,26)=(-1);
g1(17,27)=(-1);
g1(18,27)=1-params(23);
g1(19,23)=1;
g1(20,24)=1-params(18);
g1(21,25)=1-params(19);
g1(22,26)=1-params(9);
g1(23,28)=0.005000000000000004;
g1(24,5)=1;
g1(24,12)=(-1);
g1(24,18)=1;
g1(25,21)=1;
g1(26,14)=(-1);
g1(26,20)=1;
g1(27,17)=(-4);
g1(27,19)=1;
g1(28,17)=(-4);
g1(28,22)=1;
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
