
estimated_params;
% PARAM NAME, INITVAL, LB, UB, PRIOR_SHAPE, PRIOR_P1, PRIOR_P2, PRIOR_P3, PRIOR_P4, JSCALE
% PRIOR_SHAPE: BETA_PDF, GAMMA_PDF, NORMAL_PDF, INV_GAMMA_PDF
stderr ea,(p_ea),      0.01,3,INV_GAMMA_PDF,0.1,2;
stderr eb,(p_eb),      0.025,5,    INV_GAMMA_PDF,0.1,2;
stderr em,(p_em),      0.01,3,     INV_GAMMA_PDF,0.1,2;



@#if DUM_OIS
    @#for h in OIShorizon_shock
          stderr em_@{h}, (p_em_@{h}),.0001,3.0,INV_GAMMA_PDF,0.1,2;
          crhoms_@{h},(p_crhoms_@{h}),.0001,.9999,BETA_PDF,0.5,0.20;        
    @#endfor
@#endif


crhoa,(p_crhoa) ,         .01,.9999,  BETA_PDF,0.5,0.20;
crhob,(p_crhob),          .01,.9999,  BETA_PDF,0.5,0.20;
crhoms,(p_crhoms),        .01,.9999,  BETA_PDF,0.5,0.20;



        chabb,(p_chabb),0.001,0.99,BETA_PDF,0.7,0.05;

kappa,(p_kappa),      0.0001,0.99,       NORMAL_PDF,0.02,0.01;
cindp,(p_cindp),      0.01,0.99,      BETA_PDF,0.5,0.15;


crpi,(p_crpi),1.0,3,NORMAL_PDF,1.5,0.05;  
crr,(p_crr),0.5,0.975,BETA_PDF,0.75,0.10;
cry,(p_cry),0.001,0.5,NORMAL_PDF,0.125,0.05;


    crdy,(p_crdy),0.001,0.5,NORMAL_PDF,0.125,0.05;



@#if DUM_est_csigmab
    csigmab,(p_csigmab),0.01,3,NORMAL_PDF,0.4,0.1;
@#endif

@#if DUM_est_theta
    constetheta,(p_constetheta),0.01,20,GAMMA_PDF,5.2631,2;
@#endif

@#if DUM_PIOBJ
  
        stderr epiobj,(p_epiobj),0.0001,0.1,INV_GAMMA_PDF,0.015,0.0075;

@#endif



end;