function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 7);

T(1) = 100/(100+params(1));
T(2) = params(5)/(1+params(10)/100);
T(3) = 1-T(2);
T(4) = params(4)*params(5)/(1+params(10)/100);
T(5) = (1+params(10)/100)*T(1)/(1+params(35)/100);
T(6) = 1/(1+params(11)*T(5));
T(7) = 4*(100*((1+params(35)/100)*(1+params(3)/100)-1)+y(17));

end
